# DataExchange
TKIGES
IGESSelect

# IGESSelect_IGESName Class Reference

IGESName is a Signature specific to IGESNorm :
it considers the Name of an IGESEntity as being its ShortLabel
(some sending systems use name, not to identify entities, but
ratjer to classify them)
.

`#include <IGESSelect_IGESName.hxx>`

Inheritance diagram for IGESSelect_IGESName:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_IGESName ()
| Creates a Signature for IGES Name (reduced to ShortLabel, without SubscriptLabel or Long Name) .
Standard_EXPORT Standard_CString | Value (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns the ShortLabel as being the Name of an IGESEntity If <ent> has no name, it returns empty string "" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_IGESName::IGESSelect_IGESName | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_IGESName::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Signature.

Standard_EXPORT Standard_CString IGESSelect_IGESName::Value | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements Interface_SignType.

The documentation for this class was generated from the following file:

- IGESSelect_IGESName.hxx